busybox: fix dependency for IPV6
authorRosy Song <rosysong@rosinson.com>
Sat, 22 Sep 2018 13:15:40 +0000 (21:15 +0800)
committerHans Dedecker <dedeckeh@gmail.com>
Sun, 23 Sep 2018 15:45:08 +0000 (17:45 +0200)
Signed-off-by: Rosy Song <rosysong@rosinson.com>
package/utils/busybox/Makefile
package/utils/busybox/config/networking/Config.in

index 129aec1..6a761b4 100644 (file)
@@ -9,7 +9,7 @@ include $(TOPDIR)/rules.mk
 
 PKG_NAME:=busybox
 PKG_VERSION:=1.29.3
-PKG_RELEASE:=1
+PKG_RELEASE:=2
 PKG_FLAGS:=essential
 
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.bz2
index 2d2a1c4..2071fd0 100644 (file)
@@ -9,6 +9,7 @@ menu "Networking Utilities"
 config BUSYBOX_CONFIG_FEATURE_IPV6
        bool "Enable IPv6 support"
        default BUSYBOX_DEFAULT_FEATURE_IPV6
+       depends on IPV6
        help
          Enable IPv6 support in busybox.
          This adds IPv6 support in the networking applets.